Hashrate IndexAPI DocumentationStocks

Get Stocks Top Performers

GET
/stocks/top-performers

/stocks/top-performers has rate limitation:

Initially, the API allows for a burst of 20 requests, and afterward, it gradually restores 1 request every 15 seconds until reaching the maximum allowable limit of 20. This limitation is imposed to manage and control the rate at which requests can be made to the API, preventing potential misuse or excessive use of resources.

Top Stock Performers

This endpoint highlights the top-performing stocks in the mining and energy sectors, providing quick insights into which stocks are outperforming the market. This information is key for investors looking for high-growth opportunities.

Authorization

ApiKeyAuth
X-Hi-Api-Key<token>

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/stocks/top-performers"
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/StocksTopPerformerData.json",  "data": [    {      "change24H": 0,      "change24HPercent": 0,      "close": 0,      "slug": "string",      "ticker": "string"    }  ]}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}
{  "$schema": "https://api.hashrateindex.com/v1/hashrateindex/schemas/ErrorModel.json",  "detail": "Property foo is required but is missing.",  "errors": [    {      "location": "string",      "message": "string",      "value": null    }  ],  "instance": "https://example.com/error-log/abc123",  "status": 400,  "title": "Bad Request",  "type": "https://example.com/errors/example"}